BoldSign AI Assistant
Chat with the BoldSign AI AssistantDownload document
get/v1/document/downloadReturns the PDF document for the specified documentId. When the document is created on behalf of a particular sender email, then the download operation can be performed on the same account by specifying the email in the onBehalfOf.
Code snippet
curl -X GET 'https://api.boldsign.com/v1/document/download?documentId=949ebf20-45a8-4a3e-91a9-68e9540e0020' \
-H 'accept: application/json' \
-H 'X-API-KEY: {your-api-key}'
var apiClient = new ApiClient("https://api.boldsign.com", "Your_API_Key");
var documentClient = new DocumentClient(apiClient);
var documentStream = documentClient.DownloadDocument("YOUR_DOCUMENT_ID");
import boldsign
configuration = boldsign.Configuration(host = "https://api.boldsign.com", api_key="YOUR_API_KEY")
with boldsign.ApiClient(configuration) as api_client:
document_api = boldsign.DocumentApi(api_client)
document_stream = document_api.download_document(document_id="YOUR_DOCUMENT_ID")
<?php require_once "vendor/autoload.php";
use BoldSign\Configuration;
use BoldSign\Api\DocumentApi;
$config = new Configuration();
$config->setHost('https://api.boldsign.com');
$config->setApiKey('YOUR_API_KEY');
$document_api = new DocumentApi($config);
$document_stream = $document_api->downloadDocument($document_id = 'YOUR_DOCUMENT_ID');
ApiClient client = Configuration.getDefaultApiClient();
client.setBasePath("https://api.boldsign.com");
client.setApiKey("YOUR_API_KEY");
DocumentApi documentApi = new DocumentApi(client);
File documentStream = documentApi.downloadDocument("YOUR_DOCUMENT_ID", null);
import { DocumentApi } from "boldsign";
const documentApi = new DocumentApi("https://api.boldsign.com");
documentApi.setApiKey("YOUR_API_KEY");
const documentStream = documentApi.downloadDocument("YOUR_DOCUMENT_ID");
Query parameters
| documentIdstringRequired | The unique document id of the document. |
| onBehalfOfstring | The on behalf email address of the sender. |
| formatstring | This option allows you to configure how the uploaded files, especially multiple files, should be downloaded: either as a single combined document or as separate documents. The values are Combined and Individually. The default value is Combined. This property is applicable only for the documents created with the user preference download option. |
Example response
200 Success
Contains the PDF document